package com.sun.corba.se.internal.CosNaming;

import com.sun.corba.se.spi.resolver.LocalResolver;
import org.omg.CORBA.ORBPackage.InvalidName;
import com.sun.corba.se.spi.resolver.ResolverDefault;
import java.util.Properties;
import com.sun.corba.se.impl.orbutil.CorbaResourceUtil;
import java.io.File;
import com.sun.corba.se.spi.orb.ORB;

public class BootstrapServer
{
    private ORB orb;
    
    public BootstrapServer() {
    }
    
    public static final void main(String[] array) {
        String pathname = null;
        int int1 = 900;
        for (int i = 0; i < array.length; ++i) {
            if (array[i].equals("-InitialServicesFile") && i < array.length - 1) {
                pathname = array[i + 1];
            }
            if (array[i].equals("-ORBInitialPort") && i < array.length - 1) {
                int1 = Integer.parseInt(array[i + 1]);
            }
        }
        if (pathname == null) {
            System.out.println(CorbaResourceUtil.getText("bootstrap.usage", "BootstrapServer"));
            return;
        }
        File o = new File(pathname);
        if (o.exists() && !o.canRead()) {
            System.err.println(CorbaResourceUtil.getText("bootstrap.filenotreadable", o.getAbsolutePath()));
            return;
        }
        System.out.println(CorbaResourceUtil.getText("bootstrap.success", Integer.toString(int1), o.getAbsolutePath()));
        Properties o2 = new Properties();
        o2.put("com.sun.CORBA.ORBServerPort", Integer.toString(int1));
        ORB orb = (ORB)org.omg.CORBA.ORB.init(array, o2);
        LocalResolver localResolver = orb.getLocalResolver();
        orb.setLocalResolver(ResolverDefault.makeSplitLocalResolver(ResolverDefault.makeCompositeResolver(ResolverDefault.makeFileResolver(orb, o), localResolver), localResolver));
        try {
            orb.resolve_initial_references("RootPOA");
        }
        catch (InvalidName cause) {
            RuntimeException o3 = new RuntimeException("This should not happen");
            o3.initCause(cause);
            throw o3;
        }
        orb.run();
        return;
    }
}
